    # File lib/chef/formatters/error_mapper.rb, line 28
          def self.registration_failed(node_name, exception, config)
            error_inspector = ErrorInspectors::RegistrationErrorInspector.new(node_name, exception, config)
            headline = "Chef encountered an error attempting to create the client \"#{node_name}\""
            description = ErrorDescription.new(headline)
            error_inspector.add_explanation(description)
            return description
          end